package ldap

import (
	"testing"

	"github.com/remogatto/prettytest"
)

type testSuite struct {
	prettytest.Suite
}

func TestRunner(t *testing.T) {
	prettytest.Run(
		t,
		new(testSuite),
	)
}

func (t *testSuite) TestDN() {
	t.Equal("cn=billy,dc=foo,dc=org", DN("cn=billy"))
	t.Equal("cn=billy,ou=people,dc=foo,dc=org", DN("cn=billy", "ou=people"))
}
